Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 405345 (CVE-2012-0875) - <dev-util/systemtap-2.0: kernel panic when processing malformed DWARF unwind data (CVE-2012-0875)
Summary: <dev-util/systemtap-2.0: kernel panic when processing malformed DWARF unwind ...
Status: RESOLVED FIXED
Alias: CVE-2012-0875
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: B3 [glsa]
Keywords:
Depends on: 500728
Blocks:
  Show dependency tree
 
Reported: 2012-02-22 22:56 UTC by Michael Harrison
Modified: 2014-06-05 01:00 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Harrison 2012-02-22 22:56:19 UTC
A flaw was discovered [1] in how systemtap handled DWARF expressions
when unwinding the stack.  This could result in an invalid pointer read,
leading to reading kernel memory, or a kernel panic (and if the kernel
reboot on panic flag was set (panic_on_oops), it would cause the system
to reboot).

In order to trigger this flaw, an admin would have to enable
unprivileged mode (giving users membership in the 'stapusr' group and
configuring the local machine with 'signer,all-users' stap-server
trust). If an admin has enabled unprivileged mode, a user with such
access could use this to crash the local machine.

A workaround is to disable unprivileged mode.

This will be corrected in a forthcoming upstream release of systemtap,
and is currently fixed in git [2].  It is believed that this flaw was
introduced via git commit 16d59279f [3], so would affect 
systemtap >=1.4. 

[1] http://sourceware.org/bugzilla/show_bug.cgi?id=13714
[2] http://sourceware.org/git/?p=systemtap.git;a=commit;h=64b0cff3b
[3] http://sourceware.org/git/?p=systemtap.git;a=commit;h=16d59279f
Comment 1 GLSAMaker/CVETool Bot gentoo-dev 2014-02-13 14:49:40 UTC
CVE-2012-0875 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2012-0875):
  SystemTap 1.7, 1.6.7, and probably other versions, when unprivileged mode is
  enabled, allows local users to obtain sensitive information from kernel
  memory or cause a denial of service (kernel panic and crash) via vectors
  related to crafted DWARF data, which triggers a read of an invalid pointer.
Comment 2 Andreas K. Hüttel archtester gentoo-dev 2014-03-04 00:10:49 UTC
This is fixed upstream since release 2.0 (which contains commit [2])
Comment 3 Andreas K. Hüttel archtester gentoo-dev 2014-03-04 00:14:34 UTC
All affected ebuilds removed from the tree.
Comment 4 Yury German Gentoo Infrastructure gentoo-dev 2014-03-04 16:52:29 UTC
Maintainer(s), Thank you for cleanup!

Security please Vote on GLSA
Comment 5 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-03-04 17:30:09 UTC
GLSA vote: yes
Comment 6 Yury German Gentoo Infrastructure gentoo-dev 2014-05-30 22:59:05 UTC
GLSA Vote: Yes

Created a New GLSA request.
Comment 7 GLSAMaker/CVETool Bot gentoo-dev 2014-06-05 01:00:51 UTC
This issue was resolved and addressed in
 GLSA 201406-04 at http://security.gentoo.org/glsa/glsa-201406-04.xml
by GLSA coordinator Chris Reffett (creffett).